---
- name: 1. Get a list of all pods from the namespace
  shell: kubectl -n "{{ cmoa_namespace }}" get pods --no-headers -o custom-columns=":metadata.name" |grep postgres
  register: pod_list
  when: kubernetes_role == 'master'

- debug:
    msg: "{{ pod_list.stdout_lines }}"
  when: kubernetes_role == 'master'

- name: 2. Copy psql file in postgres
  kubernetes.core.k8s_cp:
    namespace: "{{ cmoa_namespace }}"
    pod: "{{ pod_list.stdout }}"
    remote_path: /tmp/postgres_patch_{{ item }}.psql
    local_path: "{{ role_path }}/files/pg-patch/postgres_patch_{{ item }}.psql"
  with_items: "{{ pg_version }}"
  when: kubernetes_role == 'master'

- name: 3. Execute a command in postgres
  kubernetes.core.k8s_exec:
    namespace: "{{ cmoa_namespace }}"
    pod: "{{ pod_list.stdout }}"
    command: bash -c "PGPASSWORD='eorbahrhkswp' && /usr/bin/psql -h 'localhost' -U 'admin' -d 'postgresdb' -f /tmp/postgres_patch_{{ item }}.psql"
  register: execute_register
  with_items: "{{ pg_version }}"
  when: kubernetes_role == 'master'

- debug:
    msg: |
      ______  _                                                _                 _         _____ ___  ___ _____   ___  
      | ___ \| |                                              | |               | |       /  __ \|  \/  ||  _  | / _ \ 
      | |_/ /| |  ___   __ _  ___   ___       _ __   ___  ___ | |_   __ _  _ __ | |_      | /  \/| .  . || | | |/ /_\ \
      |  __/ | | / _ \ / _` |/ __| / _ \     | '__| / _ \/ __|| __| / _` || '__|| __|     | |    | |\/| || | | ||  _  |
      | |    | ||  __/| (_| |\__ \|  __/     | |   |  __/\__ \| |_ | (_| || |   | |_      | \__/\| |  | |\ \_/ /| | | |
      \_|    |_| \___| \__,_||___/ \___|     |_|    \___||___/ \__| \__,_||_|    \__|      \____/\_|  |_/ \___/ \_| |_/
  when: kubernetes_role == 'master'
